Create troubleshooting session for cluster
curl --request POST \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/kubernetes-clusters/{clusterId}/sessions \
--header 'Content-Type: application/json' \
--cookie acornops_cp_session= \
--data '
{
"title": "Investigate CrashLoopBackOff in payments-api"
}
'const options = {
method: 'POST',
headers: {cookie: 'acornops_cp_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({title: 'Investigate CrashLoopBackOff in payments-api'})
};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/kubernetes-clusters/{clusterId}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetType": "kubernetes",
"createdBy": "<string>",
"clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"createdByUser": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"displayName": "<string>",
"emailVerified": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"origin": "manual",
"automaticInvestigation": {
"issueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lifecycleVersion": 2,
"severity": "critical",
"scopeKind": "<string>",
"scopeName": "<string>",
"objectKind": "<string>",
"objectName": "<string>",
"writeMode": "follow_target",
"effectiveToolMode": "read_only",
"confirmationRequiredForWrite": true
},
"lastRuntimeSelection": {
"provider": "openai",
"model": "<string>",
"reasoningEffort": "off"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Sessions and runs
Create troubleshooting session for cluster
External integration callers may create sessions only when the linked user role and bot allowlist grant create_sessions.
Create troubleshooting session for cluster
curl --request POST \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/kubernetes-clusters/{clusterId}/sessions \
--header 'Content-Type: application/json' \
--cookie acornops_cp_session= \
--data '
{
"title": "Investigate CrashLoopBackOff in payments-api"
}
'const options = {
method: 'POST',
headers: {cookie: 'acornops_cp_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({title: 'Investigate CrashLoopBackOff in payments-api'})
};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/kubernetes-clusters/{clusterId}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetType": "kubernetes",
"createdBy": "<string>",
"clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"createdByUser": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"displayName": "<string>",
"emailVerified": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"origin": "manual",
"automaticInvestigation": {
"issueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lifecycleVersion": 2,
"severity": "critical",
"scopeKind": "<string>",
"scopeName": "<string>",
"objectKind": "<string>",
"objectName": "<string>",
"writeMode": "follow_target",
"effectiveToolMode": "read_only",
"confirmationRequiredForWrite": true
},
"lastRuntimeSelection": {
"provider": "openai",
"model": "<string>",
"reasoningEffort": "off"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
userSessionexternalIntegrationClientToken
Headers
Required only for linked external integration requests. Must identify the linked external user.
Required string length:
1 - 128Path Parameters
Example:
"4b930d98-add9-4924-ab26-3c16d96ec373"
Example:
"5b006e4c-509c-458a-9f02-5aafbdc01ade"
Body
application/json
Example:
"Investigate CrashLoopBackOff in payments-api"
Response
Session created.
Available options:
kubernetes, virtual_machine Show child attributes
Show child attributes
Available options:
manual, auto_triage Show child attributes
Show child attributes
Show child attributes
Show child attributes